# -*- po -*-
# English translations for Groonga package.
# Copyright (C) 2009-2015, Brazil, Inc
# This file is distributed under the same license as the Groonga package.
# Automatically generated, 2015.
#
msgid ""
msgstr ""
"Project-Id-Version: Groonga 5.0.3\n"
"Report-Msgid-Bugs-To: \n"
"PO-Revision-Date: 2015-05-12 19:44+0900\n"
"Last-Translator: Automatically generated\n"
"Language-Team: none\n"
"Language: en\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

# fe11b30641f0426690284340be3c3eba
msgid "Characteristics of Groonga"
msgstr "Characteristics of Groonga"

# 82a98c91c6284a2faa3d9141a5805e21
msgid "Groonga overview"
msgstr "Groonga overview"

# fee958e960054051aa21595ef48396d1
msgid ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."
msgstr ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."

# 5d7736f729154d7f8165e615a7031a11
msgid ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."
msgstr ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."

# 7e0321b9ddb54bfe80018aedbbc2e49c
msgid ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."
msgstr ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."

# d4d4ed9dad3545458945c9a89da2dfed
msgid "Full text search and Instant update"
msgstr "Full text search and Instant update"

# c0c69f818f524766b0b7c5b8df8ce020
msgid ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."
msgstr ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."

# 42561ceb0ba34b019801a819a45b2529
msgid ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."
msgstr ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."

# 4b71ba9b57cb47618f961a6296acee05
msgid "Column store and aggregate query"
msgstr "Column store and aggregate query"

# 389ef17a52c1483f93ea460c94e422a6
msgid ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."
msgstr ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."

# d33922b69641412bb8c3ea78bf04e958
msgid ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."
msgstr ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."

# d83b5a088c9642658b20beaed658e320
msgid ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."
msgstr ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."

# f8db2e093ef948839ac517832eba0b08
msgid "Inverted index and tokenizer"
msgstr "Inverted index and tokenizer"

# 6bfd6b5dbc474b419ed6943244f7e166
msgid ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."
msgstr ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."

# fab6007609d643a5841bb4c7c291071d
msgid ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."
msgstr ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."

# 0a9f39b39e7e4cfc80e5239ceee6adcc
msgid ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."
msgstr ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."

# 46bb5031db21432288f48f7d5367a505
msgid "Sharable storage and read lock-free"
msgstr "Sharable storage and read lock-free"

# bd617fe8f5ff4180bf8715df1c4ceb13
msgid ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."
msgstr ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."

# b568ccbaf2084c7ebdbf7d855e62d780
msgid ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."
msgstr ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."

# a13a0af75b094f30875e286485fef459
msgid "Geo-location (latitude and longitude) search"
msgstr "Geo-location (latitude and longitude) search"

# d51e562608424432a20f77bde4d11640
msgid ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."
msgstr ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."

# f9023418a40043d5ad5e7f53ce3bcba0
msgid ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."
msgstr ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."

# 7ef8bffb514c41f3bd2df59ed7c0320a
msgid "Groonga library"
msgstr "Groonga library"

# 5b65fbef9ed54134aeb1bfdb3dd701e8
msgid ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."
msgstr ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."

# 18418ad3ae554d6eaa79cd0640247981
msgid "Groonga server"
msgstr "Groonga server"

# 902d2fb33db942f0ba05e7f9f5fb5c8f
msgid ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."
msgstr ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."

# 92985857fde84cb880d0bc4d76316d64
msgid "Mroonga storage engine"
msgstr "Mroonga storage engine"

# b199502eb089451e85e576a10300566e
msgid ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
msgstr ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
